> This page is for Paperwork API, version v2.
> For other versions, use one of these documentation indexes:
> - v1 (default): https://docs.cloudraker.com/paperwork/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Reply to a comment

POST https://your-org.cloudraker.run/v2/redline/{id}/comments/{commentId}/reply
Content-Type: application/json

Reference: https://docs.cloudraker.com/paperwork/v2/api/redline/reply-comment

## Authentication

- `Authorization` header (bearer token, required) — An API key (`crk_`), an exchanged token (`crt_`) or a JWT of a trusted issuer. The credential needs the scope of the capability. Read the description of each route.

## Request

### Path parameters

- `id` (string, required) — The id of the session.
- `commentId` (string, required) — The id of the comment.

### Body (application/json)

This endpoint expects a RedlineCommentReply.

- `body` (string, required)
- `author` (string, optional)

## Response

### 201

The session after the change.

- `revision` (integer, required)
- `result` (any, required)
- `summary` (RedlineSummary, required) — The counts of a session.

## Errors

### 400 Bad Request Error

An error. The `code` is one of: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 401 Unauthorized Error

An error. The `code` is one of: `missing_credential`, `invalid_api_key`, `invalid_token`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 403 Forbidden Error

An error. The `code` is one of: `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 404 Not Found Error

An error. The `code` is one of: `not_found`, `tenant_not_found`, `job_not_found`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 429 Too Many Requests Error

An error. The `code` is one of: `rate_limit_exceeded`, `concurrency_limited`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 500 Internal Server Error

An error. The `code` is one of: `internal_error`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 503 Service Unavailable Error

An error. The `code` is one of: `capability_unavailable`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

## Types

### RedlineSummary

The counts of a session.

- `paragraphCount` (integer, required)
- `comments` (integer, required)
- `trackedChanges` (integer, required)

## Examples

**Request**

```json
{
  "body": "string"
}
```

**Response**

```json
{
  "revision": 1,
  "summary": {
    "paragraphCount": 1,
    "comments": 1,
    "trackedChanges": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply"

payload = { "body": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply"

	payload := strings.NewReader("{\n  \"body\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply', [
  'body' => '{
  "body": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-org.cloudraker.run/v2/redline/id/comments/commentId/reply")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```